Subject: RE: [Sigtran] M3UA IG v04

From: Ken Morneault <[email-masked]>
Date: Wed, 09 Jul 2003 13:42:21 -0400

Francois,

I certainly don't have an issue adding this sentence to the IG.  I didn't realize
that we had agreed to do so though.

What do others think?

Regards,

Ken

At 05:26 PM 7/9/2003 +0200, Zannin, Francois wrote:
>Ken,
>
>Here is a copy of the mail about notify I was refering.
>
>-----Original Message-----
>From: Brian F. G. Bidulock [mailto:[email-masked]] 
>Sent: Wednesday, February 12, 2003 10:40 AM
>To: ksrinivas
>Cc: [email-masked]
>Subject: [Sigtran] Re: M3UA Notify message
>
>
>Srini,
>
>ksrinivas wrote:
>(Wed, 12 Feb 2003 13:42:16)
>> Brian,
>> 
>>      Can you tell me when an SGP should send Notify(AS-PENDING) and
>> Notify(Insufficient ASP Resources Active in AS)?. I felt RFC and IG of
>
>> M3UA is not clear on these two.
>> 
>> --Srini
>
>It think that it is pretty straight-forward.
>
>NTFY(Insufficient ASPs) is sent for an AS by an SGP when the number of
>ASPs in the ASP-ACTIVE state for the AS falls below "n", but not to
>zero, (as a result of ASP failures or deactivations); where "n" is the
>minimum number of active ASPs defined for the AS.  So this notification
>is only sent if "n" is greater than 1.
>
>NTFY(AS-PENDING) is sent for an AS by an SGP when the number of ASPs in
>the ASP-ACTIVE state for the AS falls to zero (as a result of ASP
>failures or deactivations).
>
>Although there is the notification to indicate when there is insufficent
>ASPs available for an AS, there is no notification that there are
>sufficient ASPs for an AS.  This causes problems for ASP wishing to use
>the first notification as in indication to go active.  There should be a
>NTFY("Sufficient ASPs active") to notify that the opposite of
>insufficient ASPs active is now true.
>
>I also send these two notifications to any ASP that transitions from the
>ASP-DOWN state to the ASP-INACTIVE state for the AS when the numer of
>ASPs is below "n" or is zero and the T(pend) timer has not yet expired.
>I also send other state notifications for the AS in this case as well
>(i.e, NTFY(AS-ACTIVE), NTFY(AS-INACTIVE)).
>
>As there is no procedure for a newly inactive ASP to audit the state of
>the AS, this helps ASPs which are just coming up for an AS to
>immediately determine the state of the AS and their next best course of
>action for the AS.
>
>In addition to notifications resulting from AS state changes, I think we
>should say in the IG:
>
>   The SGP SHOULD send a NTFY message indicating the state of the AS to
>   all ASPs newly becoming ASP-INACTIVE from ASP-DOWN for each AS.
>
>--brian
>
>-- 
>Brian F. G. Bidulock
>[email-masked]
>http://www.openss7.org/ _______________________________________________
>Sigtran mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/sigtran
>-----Original Message-----
>From: Ken Morneault [mailto:[email-masked]] 
>Sent: Wednesday, July 09, 2003 4:28 PM
>To: Zannin, Francois; J.Javier Pastor (EE/EEM); [email-masked]
>Subject: RE: [Sigtran] M3UA IG v04
>
>
>
>
>Francois,
>
>Can you send me a ptr to the email you reference.
>
>Thanks,
>
>Ken
>
>At 04:20 PM 7/9/2003 +0200, Zannin, Francois wrote:
>>Ken,
>>
>>My point of view on he question, see hereafter.
>>
>>Regards,
>>
>>Francois Z.
>>
>>-----Original Message-----
>>From: Ken Morneault [mailto:[email-masked]]
>>Sent: Wednesday, July 09, 2003 3:56 PM
>>To: Zannin, Francois; J.Javier Pastor (EE/EEM); [email-masked]
>>Subject: RE: [Sigtran] M3UA IG v04
>>
>>
>>Francois,
>>
>>Pls see comments below.
>>
>>Regards,
>>
>>Ken
>>
>>At 10:15 AM 7/9/2003 +0200, Zannin, Francois wrote:
>>>Just some comment about the M3UA IG v04
>>>
>>>3.21 NOTIFY messages are missing in Examples section
>>>Figure (section 5.1.2)
>>>        a NOTIFY(AS-INACTIVE) must be sent from SGP to ASP2 after the
>>>ASP Up Ack
>>>
>>>Figure (section 5.1.3)
>>>        a NOTIFY(AS-INACTIVE) must be sent from SGP to ASP2 after the
>>>ASP Up Ack
>>>
>>>Figure (section 5.1.4)
>>>        Same remark, the Notify is sent to ASP1, ASP2 and also need to
>>>be sent to
>>>      ASP3 after the ASP Up Ack
>>
>>NOTIFY is only sent upon "a change in status of a particular 
>>Application Server".
>>
>>OK, but just one more remark, in section 5.1.4, a notify AS-Inactive is
>
>>sent to ASP1 and ASP2 while to transition to ASP-Inactive was effective
>
>>after the first
>>ASP_UP(/ACK) comming from ASP1, so notify to ASP2 should be considerer
>>as inopportune.
>>
>>In last november, it was agreed in a thread that when an ASP was 
>>transitionned to UP, The current AS state was sent to this ASP, 
>>whatever could be the state. This current
>>State can be used by the management of an ASP to decide if the AS has
>to
>>be activated 
>>Immediately or must wait for an AS-PENDING or AS-INACTIVE notification.

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran